Subject: Re: [PATCH 8/16] powerpc: add ps3 platform hvcalls

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 12 Nov 2006 11:46:53 +1100

On Sat, 2006-11-11 at 12:22 +0100, Christoph Hellwig wrote:
> On Sat, Nov 11, 2006 at 03:13:40AM +0100, Arnd Bergmann wrote:
> > On Friday 10 November 2006 21:02, Geoff Levand wrote:
> > > Adds the ps3pf hvcalls.
> > > 
> > > Signed-off-by: Geoff Levand <[email-masked]>
> > 
> > This one reminds of the inline hcall abstraction layer I did
> > some time ago. The implementation in your patch is a lot
> > less elegant than both the pseries in its current incarnation
> > and the one that I did (IMHO). Any opinions on how we should
> > proceed here?
> 
> Please try to reuse Arnd's code as much as possible.  What's in
> this patch is more than ugly.

Last I heard, there wasn't complete agreement between Paulus and Arnd
about how those Hcalls should look like and Arnd patch, I think,
conflicts with something else (though it's not off the top of my mind, I
haven't paid too much attention there).

I asked Paulus and we agreed that Geoff should keep his current macros
for now, and we'll look into a general consolidation once it's in and
the Toshiba stuff is in too (it should be posted next week).

Ben.